Subject: Re: [iwl-next v1 06/14] ice: base subfunction aux driver

From: Michal Swiatkowski <[email-masked]>
Date: Fri, 10 May 2024 09:20:51 +0200

On Thu, May 09, 2024 at 01:13:55PM +0200, Jiri Pirko wrote:
> Tue, May 07, 2024 at 01:45:07PM CEST, [email-masked] wrote:
> >From: Piotr Raczynski <[email-masked]>
> >
> >Implement subfunction driver. It is probe when subfunction port is
> >activated.
> >
> >VSI is already created. During the probe VSI is being configured.
> >MAC unicast and broadcast filter is added to allow traffic to pass.
> >
> >Store subfunction pointer in VSI struct. The same is done for VF
> >pointer. Make union of subfunction and VF pointer as only one of them
> >can be set with one VSI.
> >
> >Reviewed-by: Jiri Pirko <[email-masked]>
> >Signed-off-by: Piotr Raczynski <[email-masked]>
> >Signed-off-by: Michal Swiatkowski <[email-masked]>
> 
> Perhaps it would make things clearer for reviewer to have all patches
> related to sf auxdev/devlink/netdev at the end of the patchset, after
> activation patch. Not sure why you want to mix it here.

I need this code to use it in port representor implementation. You
suggested in previous review to move activation at the end [1].

[1] https://lore.kernel.org/netdev/Zhje0mQgQTMXwICb@nanopsycho/